package com.yijia.station.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油站支付设置对象 station_pay
 * 
 * @author yijia
 * @date 2020-12-10
 */
public class StationPay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增id */
    private Long payId;

    /** 支付模板 */
    @Excel(name = "支付模板")
    private String payMode;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 支付页面形象照是否展示  (1、是2、否) */
    @Excel(name = "支付页面形象照是否展示  (1、是2、否)")
    private String imagePhotosFlag;

    /** 会员卡启用标识 （1、启动 2，停用） */
    @Excel(name = "会员卡启用标识 ", readConverterExp = "1=、启动,2=，停用")
    private String cardEnabledFlag;

    /** 宣传活动照片 */
    @Excel(name = "宣传活动照片")
    private String activityPic;

    /** 优惠方式共享是否启用 */
    @Excel(name = "优惠方式共享是否启用")
    private String preferentialWayShareFlag;

    /** 其他优惠方式 */
    @Excel(name = "其他优惠方式")
    private String otherPreferentialWay;

    /** 支付小票打印张数 */
    @Excel(name = "支付小票打印张数")
    private Long payPrintNum;

    /** 支付回调页面配置 */
    @Excel(name = "支付回调页面配置")
    private String payCallbackPage;

    /** 班结是否打印(1,是 2 否) */
    @Excel(name = "班结是否打印(1,是 2 否)")
    private String wsPrintFlag;

    public void setPayId(Long payId) 
    {
        this.payId = payId;
    }

    public Long getPayId() 
    {
        return payId;
    }
    public void setPayMode(String payMode) 
    {
        this.payMode = payMode;
    }

    public String getPayMode() 
    {
        return payMode;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setImagePhotosFlag(String imagePhotosFlag) 
    {
        this.imagePhotosFlag = imagePhotosFlag;
    }

    public String getImagePhotosFlag() 
    {
        return imagePhotosFlag;
    }
    public void setCardEnabledFlag(String cardEnabledFlag) 
    {
        this.cardEnabledFlag = cardEnabledFlag;
    }

    public String getCardEnabledFlag() 
    {
        return cardEnabledFlag;
    }

    public String getActivityPic() {
        return activityPic;
    }

    public void setActivityPic(String activityPic) {
        this.activityPic = activityPic;
    }

    public void setPreferentialWayShareFlag(String preferentialWayShareFlag)
    {
        this.preferentialWayShareFlag = preferentialWayShareFlag;
    }

    public String getPreferentialWayShareFlag() 
    {
        return preferentialWayShareFlag;
    }
    public void setOtherPreferentialWay(String otherPreferentialWay) 
    {
        this.otherPreferentialWay = otherPreferentialWay;
    }

    public String getOtherPreferentialWay() 
    {
        return otherPreferentialWay;
    }
    public void setPayPrintNum(Long payPrintNum) 
    {
        this.payPrintNum = payPrintNum;
    }

    public Long getPayPrintNum() 
    {
        return payPrintNum;
    }
    public void setPayCallbackPage(String payCallbackPage) 
    {
        this.payCallbackPage = payCallbackPage;
    }

    public String getPayCallbackPage() 
    {
        return payCallbackPage;
    }
    public void setWsPrintFlag(String wsPrintFlag) 
    {
        this.wsPrintFlag = wsPrintFlag;
    }

    public String getWsPrintFlag() 
    {
        return wsPrintFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("payId", getPayId())
            .append("payMode", getPayMode())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("imagePhotosFlag", getImagePhotosFlag())
            .append("cardEnabledFlag", getCardEnabledFlag())
            .append("activityPic", getActivityPic())
            .append("preferentialWayShareFlag", getPreferentialWayShareFlag())
            .append("otherPreferentialWay", getOtherPreferentialWay())
            .append("payPrintNum", getPayPrintNum())
            .append("payCallbackPage", getPayCallbackPage())
            .append("wsPrintFlag", getWsPrintFlag())
            .toString();
    }
}
